# IRpSpace3DPck Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | GetSpaceRoot ([out, retval] IRnEncapsulator **ppRoot)
HRESULT | CreateMeshFnSet ([out, retval] IRfMeshSet **ppFn)
HRESULT | CreateNURBSFnSet ([out, retval] IRfNURBSSet **ppFn)
HRESULT | CreateObjectHelper ([out, retval] IRfObjectHelper **ppObjectHelper)
HRESULT | CreateSceneHelper ([out, retval] IRfSceneHelper **ppSceneHelper)
HRESULT | CreateMaterialListFnSet ([out, retval] IRfMaterialListSet **ppFn)
HRESULT | CreateTransformSet ([out, retval] IRfTransformSet **ppTransformSet)
HRESULT | CreateWorkPlaneHelper ([out, retval] IRfWorkPlane **ppWorkPlane)
HRESULT | GetMeshStreamCache ([out, retval] IRsStreamCache **ppCache)
HRESULT | CreateSnapperSet ([out, retval] IRfSnapperSet **ppSnappingSet)
HRESULT | GetObjectTypeDetector ([out, retval] IRsObjectTypeDetector **ppDetector)
HRESULT | CreateSkeletonFnSet ([out, retval] IRfSkeletonSet **ppFn)
HRESULT | GetTransformOverride ([out, retval] IRsTransformOverride **ppFn)
HRESULT | CreateEditableMeshFnSet ([out, retval] IRfEditableMeshSet **ppFn)
HRESULT | CreateSkinFnSet ([out, retval] IRfSkinSet **ppFn)
HRESULT | GetCoordinateSystemManager ([out, retval] IRsCoordinateSystemManager **ppCoordSysMng)
HRESULT | CreateMeshRetargetFnSet ([out, retval] IRfMeshRetargetSet **ppFn)
HRESULT | CreateMaterialEditorFnSet ([out, retval] IRfMaterialEditor **ppFn)
HRESULT | CreateOfflineRenderingFnSet ([out, retval] IRfOfflineRendering **ppFn)
HRESULT | CreateVertexMorphSet ([out, retval] IRfVertexMorphSet **ppFn)
HRESULT | CreateReferencedMaterialsFnSet ([out, retval] IRfReferencedMaterials **ppFn)
HRESULT | SetActiveEditor ([in] IRsEditor *pEditor)
HRESULT | GetActiveEditor ([out, retval] IRsEditor **pEditor)
HRESULT | CreateVolumeTreeFnSet ([out, retval] IRfVolumeTree **ppFn)

## Detailed Description

Space3D package

Space3d contains nodes, commands and functions related to basic 3d space definition & algorithms like meshes, curves, coordinate systems etc.

## Member Function Documentation

HRESULT IRpSpace3DPck::GetSpaceRoot | ( | [out, retval] IRnEncapsulator ** | ppRoot | ) |

Return scene root.

Returns:
  ppRoot [out,retval] Full name of space root.

HRESULT IRpSpace3DPck::CreateMeshFnSet | ( | [out, retval] IRfMeshSet ** | ppFn | ) |

Create function set with methods related to meshes.

Returns:
  ppFn [out,retval] Returned mesh function set.

HRESULT IRpSpace3DPck::CreateNURBSFnSet | ( | [out, retval] IRfNURBSSet ** | ppFn | ) |

Create function set with methods related to NURBs.

Returns:
  ppFn [out,retval] Returned Nurbs function set.

HRESULT IRpSpace3DPck::CreateObjectHelper | ( | [out, retval] IRfObjectHelper ** | ppObjectHelper | ) |

Create Object Helper.

Returns:
  ppObjectHelper [out,retval] Returned helper.

HRESULT IRpSpace3DPck::CreateSceneHelper | ( | [out, retval] IRfSceneHelper ** | ppSceneHelper | ) |

Return helper that is managing scenes.

Returns:
  ppSceneHelper [out,retval] Returned scene helper.

HRESULT IRpSpace3DPck::CreateMaterialListFnSet | ( | [out, retval] IRfMaterialListSet ** | ppFn | ) |

Return function set containing useful functions for material management.

Returns:
  ppFn [out,retval] Returned scene helper.

HRESULT IRpSpace3DPck::CreateTransformSet | ( | [out, retval] IRfTransformSet ** | ppTransformSet | ) |

Return function set containing methods for working with transform nodes and matrix connector tools.

Returns:
  ppTransformSet [out,retval] Returned transform function set.

HRESULT IRpSpace3DPck::CreateWorkPlaneHelper | ( | [out, retval] IRfWorkPlane ** | ppWorkPlane | ) |

Not implemented yet.

HRESULT IRpSpace3DPck::GetMeshStreamCache | ( | [out, retval] IRsStreamCache ** | ppCache | ) |

Return mesh stream cache manager.

Returns:
  ppCache [out, retval] Interface to mesh stream cache.

HRESULT IRpSpace3DPck::CreateSnapperSet | ( | [out, retval] IRfSnapperSet ** | ppSnappingSet | ) |

Return snapping manager.

Returns:
  ppSnappingSet [out, retval] Interface to snapping.

HRESULT IRpSpace3DPck::GetObjectTypeDetector | ( | [out, retval] IRsObjectTypeDetector ** | ppDetector | ) |

Return object type detection helper interface.

Returns:
  ppDetector [out, retval] Interface to object type detector.

HRESULT IRpSpace3DPck::CreateSkeletonFnSet | ( | [out, retval] IRfSkeletonSet ** | ppFn | ) |

Create set of skeleton functions.

Returns:
  ppFn [out, retval] Interface to skeleton functions set.

HRESULT IRpSpace3DPck::GetTransformOverride | ( | [out, retval] IRsTransformOverride ** | ppFn | ) |

Get interface of transform overriding.

- All widget transforms are using this mechanism to allow customization of applying transforms to nodes.

Returns:
  ppFn [out, retval] Interface to transform overriding manager.

HRESULT IRpSpace3DPck::CreateEditableMeshFnSet | ( | [out, retval] IRfEditableMeshSet ** | ppFn | ) |

Create function set with methods related to simple editable mesh processing.

- For more complex functions, check IRfMeshModifierSet in Mesh Modifiers package.

Returns:
  ppFn [out, retval] Created function set.

HRESULT IRpSpace3DPck::CreateSkinFnSet | ( | [out, retval] IRfSkinSet ** | ppFn | ) |

Create skinning function set.

Returns:
  ppFn [out, retval] Skinning function set.

HRESULT IRpSpace3DPck::GetCoordinateSystemManager | ( | [out, retval] IRsCoordinateSystemManager ** | ppCoordSysMng | ) |

Get interface to coordinate system management.

Returns:
  ppCoordSysMng [out, retval] Interface to coordinate system management.

HRESULT IRpSpace3DPck::CreateMeshRetargetFnSet | ( | [out, retval] IRfMeshRetargetSet ** | ppFn | ) |

Create helper set to mesh retargeting using geometry identification or UV streams.

Returns:
  ppFn [out, retval] Interface to coordinate system management.

HRESULT IRpSpace3DPck::CreateMaterialEditorFnSet | ( | [out, retval] IRfMaterialEditor ** | ppFn | ) |

Create material editor function set.

Returns:
  ppFn [out, retval] Material editor function set.

HRESULT IRpSpace3DPck::CreateOfflineRenderingFnSet | ( | [out, retval] IRfOfflineRendering ** | ppFn | ) |

Create offline renderers function set.

Returns:
  ppFn [out, retval] Offline Renderers function set.

HRESULT IRpSpace3DPck::CreateVertexMorphSet | ( | [out, retval] IRfVertexMorphSet ** | ppFn | ) |

Create vertex morph function set.

Returns:
  ppFn [out, retval] Vertex morph function set.

HRESULT IRpSpace3DPck::CreateReferencedMaterialsFnSet | ( | [out, retval] IRfReferencedMaterials ** | ppFn | ) |

Create referenced materials function set.

Returns:
  ppFn [out, retval] Referenced materials function set.

HRESULT IRpSpace3DPck::SetActiveEditor | ( | [in] IRsEditor * | pEditor | ) |

Set current editor.

Parameters:

  | pEditor | [in] Editor to set active.

HRESULT IRpSpace3DPck::GetActiveEditor | ( | [out, retval] IRsEditor ** | pEditor | ) |

Get active editor.

Returns:
  ppEditor [out,retval] Currently set active editor.

HRESULT IRpSpace3DPck::CreateVolumeTreeFnSet | ( | [out, retval] IRfVolumeTree ** | ppFn | ) |

Create volume tree function set.

Returns:
  ppFn [out, retval] Volume tree function set.